Bug 1289015 - [devexp_public_707]No place to input pushSecret info when try to push result image to docker hub via oc new-build --to-docker
[devexp_public_707]No place to input pushSecret info when try to push result ...
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Build (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Rodolfo Carvalho
Wenjing Zheng
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 03:56 EST by Wenjing Zheng
Modified: 2016-01-20 10:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 10:26:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wenjing Zheng 2015-12-07 03:56:59 EST
Description of problem:
If try to push result image to docker with command oc new-build --to-docker, there is no place to input secret info which causes build push fails:
Failed to push image: unauthorized: access to the requested resource is not authorized

Version-Release number of selected component (if applicable):
openshift v1.1-354-g43aa4a4
kubernetes v1.1.0-origin-1107-g4c8e6f4
etcd 2.1.2

How reproducible:
always

Steps to Reproduce:
1. oc new-build -D $'FROM centos:7\nRUN yum install -y httpd' --to wzheng/myapp --to-docker=true
2. Check build log
Removing intermediate container 7097bf9322ce
Successfully built dfeefcc8f18a
I1207 08:41:22.472566       1 docker.go:86] Pushing image wzheng/myapp ...
F1207 08:41:27.707971       1 builder.go:59] Build error: Failed to push image: unauthorized: access to the requested resource is not authorized

Actual results:
Build failed for cannot being pushed.

Expected results:
There should be a place to input pushSecret.

Additional info:
Comment 1 Rodolfo Carvalho 2015-12-08 11:13:55 EST
@wzheng, we'll need to add a new option to `oc new-build` to allow passing the push secret. Will give you an update when the new option is merged.
Comment 2 Ben Parees 2015-12-08 11:14:00 EST
reducing severity, user can edit the BC after creation to add a secret ref for now.
Comment 3 Ben Parees 2016-01-19 16:06:50 EST
Rodolfo can you please make sure we have (or create) a card for this and then close this bug?  Thanks.
Comment 4 Ben Parees 2016-01-19 16:07:14 EST
(that is the process we follow for RFEs that are not customer initiated)
Comment 5 Rodolfo Carvalho 2016-01-20 10:26:56 EST
I found no relevant card, therefore created a new one to track the implementation of the new feature:
https://trello.com/c/C5K7ekrH

Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.